GET /data/concepts

Retrieve all concept entries with filtering support. Filters can be specified in the query string to narrow down results by project or parent concept.

Query parameters

  • project_id

    Filter concepts by specific project

  • parent_id

    Filter concepts by parent concept

Responses

  • 200 application/json

    List of concepts successfully retrieved

    Hide response attributes Show response attributes object
    • id string(uuid)

      Concept unique identifier

    • name string

      Concept name

    • description string

      Concept description

    • project_id string(uuid)

      Project identifier

    • parent_id string(uuid)

      Parent concept identifier

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

GET /data/concepts
curl -X GET "http://api.example.com/data/concepts?project_id=a24a6ea4-ce75-4665-a070-57453082c25&parent_id=b35b7fb5-df86-5776-b181-68564193d36" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/concepts"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "parent_id": "b35b7fb5-df86-5776-b181-68564193d36"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/concepts' \
 --header "Authorization: $API_KEY"
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c25",
    "name": "Character Design",
    "description": "Main character concept art",
    "project_id": "b35b7fb5-df86-5776-b181-68564193d36",
    "parent_id": "c46c8gc6-eg97-6887-c292-79675204e47",
    "created_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:30:00Z"
  }
]